package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2019/9/29
 */
public class StudentHomework01DetailDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 姓名
     */
    private String name;
    /**
     * 科目
     */
    private String subject;
    /**
     * 原图列表
     */
    private List<OriginPictureDto> originPicList;

    public class OriginPictureDto implements Serializable {
        private static final long serialVersionUID = 1L;
        /**
         * 原图地址
         */
        private String url;
        /**
         * 图片标注(0：正常的，1：模糊的，2：模糊替换后,3：作业不全,4：非学科,10：不批改，20：有作业评语，21：已分配给其他老师，22：作业登记)
         */
        private int type;
        /**
         * 操作时间
         */
        private String operateTime;
        /**
         * 老师名字
         */
        private String teacherName;
        /**
         * 老师头像
         */
        private String teacherImgUrl;

        public String getTeacherName() {
            return teacherName;
        }

        public void setTeacherName(String teacherName) {
            this.teacherName = teacherName;
        }

        public String getTeacherImgUrl() {
            return teacherImgUrl;
        }

        public void setTeacherImgUrl(String teacherImgUrl) {
            this.teacherImgUrl = teacherImgUrl;
        }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public String getOperateTime() {
            return operateTime;
        }

        public void setOperateTime(String operateTime) {
            this.operateTime = operateTime;
        }
    }

    /**
     * 批改图片列表
     */
    private List<ModifyPictureDto> correctPicList;
    /**
     * 匹配图片列表
     */
    private List<ModifyPictureDto> matchPicList;

    public class ModifyPictureDto implements Serializable {
        private static final long serialVersionUID = 1L;
        /**
         * 批改图片地址
         */
        private String url;
        /**
         * 图片标注(20：有作业评语)
         */
        private int type;
        /**
         * 操作时间(有时间则是匹配完，如果为空就是未匹配)
         */
        private String operateTime;
        /**
         * 老师名字
         */
        private String teacherName;
        /**
         * 老师头像
         */
        private String teacherImgUrl;


        /**
         *开始批改/匹配时间
         */
        private  String startTime;

        public String getStartTime() { return startTime; }

        public void setStartTime(String startTime) { this.startTime = startTime; }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public String getOperateTime() {
            return operateTime;
        }

        public void setOperateTime(String operateTime) {
            this.operateTime = operateTime;
        }

        public String getTeacherName() {
            return teacherName;
        }

        public void setTeacherName(String teacherName) {
            this.teacherName = teacherName;
        }

        public String getTeacherImgUrl() {
            return teacherImgUrl;
        }

        public void setTeacherImgUrl(String teacherImgUrl) {
            this.teacherImgUrl = teacherImgUrl;
        }
    }

    /**
     * 作业批改质检列表
     */
    private List<CheckPictureDto> checkCorrectPicList;
    /**
     * 匹配知识点质检列表
     */
    private List<CheckPictureDto> checkMatchPicList;

    public class CheckPictureDto implements Serializable {
        private static final long serialVersionUID = 1L;
        /**
         * 批改图片地址
         */
        private String url;
        /**
         * 图片标注(20：有作业评语)
         */
        private int type;
        /**
         * 操作时间(有时间则是匹配完，如果为空就是未匹配)
         */
        private String operateTime;
        /**
         * 老师名字
         */
        private String teacherName;
        /**
         * 老师头像
         */
        private String teacherImgUrl;
        /**
         * 图片id
         */
        private String pictureId;

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public String getOperateTime() {
            return operateTime;
        }

        public void setOperateTime(String operateTime) {
            this.operateTime = operateTime;
        }

        public String getTeacherName() {
            return teacherName;
        }

        public void setTeacherName(String teacherName) {
            this.teacherName = teacherName;
        }

        public String getTeacherImgUrl() {
            return teacherImgUrl;
        }

        public void setTeacherImgUrl(String teacherImgUrl) {
            this.teacherImgUrl = teacherImgUrl;
        }

        public String getPictureId() {
            return pictureId;
        }

        public void setPictureId(String pictureId) {
            this.pictureId = pictureId;
        }
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public List<OriginPictureDto> getOriginPicList() {
        return originPicList;
    }

    public void setOriginPicList(List<OriginPictureDto> originPicList) {
        this.originPicList = originPicList;
    }

    public List<ModifyPictureDto> getCorrectPicList() {
        return correctPicList;
    }

    public void setCorrectPicList(List<ModifyPictureDto> correctPicList) {
        this.correctPicList = correctPicList;
    }

    public List<ModifyPictureDto> getMatchPicList() {
        return matchPicList;
    }

    public void setMatchPicList(List<ModifyPictureDto> matchPicList) {
        this.matchPicList = matchPicList;
    }

    public List<CheckPictureDto> getCheckCorrectPicList() {
        return checkCorrectPicList;
    }

    public void setCheckCorrectPicList(List<CheckPictureDto> checkCorrectPicList) {
        this.checkCorrectPicList = checkCorrectPicList;
    }

    public List<CheckPictureDto> getCheckMatchPicList() {
        return checkMatchPicList;
    }

    public void setCheckMatchPicList(List<CheckPictureDto> checkMatchPicList) {
        this.checkMatchPicList = checkMatchPicList;
    }
}
